<header class="header">
    <div class="container-header">
        <div class="header-inner">
            <div class="header-logo"><img class="header-logo-img" src="/assets/images/logo3.svg" alt="SpeakCamp logo" /></div>

            <nav class="header-nav">
                <a [routerLink]="['']"  class="header-nav-link">Home</a>
                <a  [routerLink]="['/meetings']" class="header-nav-link" >Meetings</a>
                <a  [routerLink]="['/users']" class="header-nav-link" >Tutors</a>
                <a  [routerLink]="['/about']" class="header-nav-link" >About</a>
              
            </nav>
                  
            <div *ngIf="(currentUser$ | async) as user; else notAuthorised">
                <div class="header-user">
                    <img class="header-user-img"  [src]="user.photoKey | photoUrl"/>
                    <a [routerLink]="['']" class="header-user-name" >{{user.firstName}} {{user.lastName}}</a>
                    <button class="header-user-btn  btn-alt" (click)="logout()">Logout</button>
                </div>
            </div>
            
            <ng-template #notAuthorised><div class="header-user">
                <a  [routerLink]="['/login']" class="header-user-btn btn-label" >Log In</a>
                <a [routerLink]="['/registration']" class="header-user-btn  btn-primary" >Sign Up</a>
            </div></ng-template>

              

        </div>
    </div>
</header>
